Bug 1003176 - SELinux is preventing /usr/bin/python2.7 from using the 'fowner' capabilities.
SELinux is preventing /usr/bin/python2.7 from using the 'fowner' capabilities.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e253fefdf00526acb5df2095c71...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-31 10:02 EDT by qualityservicesrus
Modified: 2013-09-09 11:44 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-74.1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-07 20:37:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description qualityservicesrus 2013-08-31 10:02:35 EDT
Description of problem:
Wicd go through a bunch of errors then crash.  I have to open an terminal every time just to connect.  How can I make it perminant?  After entering commands in the terminal I can logout then login is perfect but every time I reboot I get python errors and dbus error.  Is there a solution to stop this?  Is it best to create a script to handle connections.
SELinux is preventing /usr/bin/python2.7 from using the 'fowner' capabilities.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that python2.7 should have the fowner capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep wicd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:NetworkManager_t:s0
Target Context                system_u:system_r:NetworkManager_t:s0
Target Objects                 [ capability ]
Source                        wicd
Source Path                   /usr/bin/python2.7
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.7.5-4.fc19.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-73.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.9-200.fc19.i686 #1 SMP Wed
                              Aug 21 20:48:34 UTC 2013 i686 i686
Alert Count                   2
First Seen                    2013-08-29 15:12:12 EDT
Last Seen                     2013-08-29 15:15:23 EDT
Local ID                      d5c8b9b3-a7c6-4d05-858a-f793f3e1e3db

Raw Audit Messages
type=AVC msg=audit(1377803723.146:432): avc:  denied  { fowner } for  pid=2746 comm="wicd" capability=3  scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:system_r:NetworkManager_t:s0 tclass=capability


type=SYSCALL msg=audit(1377803723.146:432): arch=i386 syscall=chmod success=no exit=EPERM a0=948bdb8 a1=180 a2=430ac000 a3=9301050 items=0 ppid=1 pid=2746 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=wicd exe=/usr/bin/python2.7 subj=system_u:system_r:NetworkManager_t:s0 key=(null)

Hash: wicd,NetworkManager_t,NetworkManager_t,capability,fowner

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.9-200.fc19.i686
type:           libreport
Comment 1 Miroslav Grepl 2013-09-03 06:01:29 EDT
Has been added.
Comment 2 Fedora Update System 2013-09-03 15:57:30 EDT
selinux-policy-3.12.1-74.1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-74.1.fc19
Comment 3 Fedora Update System 2013-09-04 21:39:01 EDT
Package selinux-policy-3.12.1-74.1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15819/selinux-policy-3.12.1-74.1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-07 20:37:07 EDT
selinux-policy-3.12.1-74.1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 qualityservicesrus 2013-09-09 10:55:25 EDT
Thank you. I have already fix this bug and now are trying to figure out how to get flash fix in firefox.  It's been giving me a headache.  Any suggestions?
Comment 6 Miroslav Grepl 2013-09-09 11:44:19 EDT
http://fedoraproject.org/wiki/Flash

Note You need to log in before you can comment on or make changes to this bug.